diff --git a/changelog b/changelog
index 6ffdbdd..f107c36 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20100114 tpd src/axiom-website/patches.html 20100114.03.tpd.patch
+20100114 tpd src/input/numericgamma.input rewrite using machineFraction
 20100114 tpd src/axiom-website/patches.html 20100114.02.tpd.patch
 20100114 tpd src/input/unittest2.input fix credits function output
 20100114 tpd src/axiom-website/patches.html 20100114.01.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 680c1b4..13f4db7 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -2366,5 +2366,7 @@ src/input/r20bugs.input fix broken test case<br/>
 books/bookvol5 fix )display all output bug<br/>
 <a href="patches/20100114.02.tpd.patch">20100114.02.tpd.patch</a>
 src/input/unittest2.input fix credits function output<br/>
+<a href="patches/20100114.03.tpd.patch">20100114.03.tpd.patch</a>
+src/input/numericgamma.input rewrite using machineFraction<br/>
  </body>
 </html>
diff --git a/src/input/numericgamma.input.pamphlet b/src/input/numericgamma.input.pamphlet
index 337822c..7cbb1a5 100644
--- a/src/input/numericgamma.input.pamphlet
+++ b/src/input/numericgamma.input.pamphlet
@@ -274,75 +274,84 @@ NGamma(a,x)
 --E 17
 
 --S 18 of 36
-NGamma(0,1)
---R 
+machineFraction(NGamma(0,1))
 --R
---R   (14)  0.21938393439551901
---R                                                            Type: DoubleFloat
+--R          7904139241557877
+--R   (14)  -----------------
+--R         36028797018963968
+--R                                                       Type: Fraction Integer
 --E 18
 
 --S 19 of 36
-NGamma(0,2)
---R 
+machineFraction(NGamma(0,2))
 --R
---R   (15)  4.8900510708060993E-2
---R                                                            Type: DoubleFloat
+--R          7047306297697619
+--R   (15)  ------------------
+--R         144115188075855872
+--R                                                       Type: Fraction Integer
 --E 19
 
 --S 20 of 36
-NGamma(1,1)
---R 
+machineFraction(NGamma(1,1))
 --R
---R   (16)  0.36787944117144233
---R                                                            Type: DoubleFloat
+--R          828390857088487
+--R   (16)  ----------------
+--R         2251799813685248
+--R                                                       Type: Fraction Integer
 --E 20
 
 --S 21 of 36
-NGamma(1,1.1)
---R 
+machineFraction(NGamma(1,1.1))
 --R
---R   (17)  0.33287108369807966
---R                                                            Type: DoubleFloat
+--R         2998236177010169
+--R   (17)  ----------------
+--R         9007199254740992
+--R                                                       Type: Fraction Integer
 --E 21
 
 --S 22 of 36
-NGamma(5,10)
---R 
+machineFraction(NGamma(5,10))
 --R
---R   (18)  0.70206451384706692
---R                                                            Type: DoubleFloat
+--R         197613592684481
+--R   (18)  ---------------
+--R         281474976710656
+--R                                                       Type: Fraction Integer
 --E 22
 
 --S 23 of 36
-NGamma(5,11)
---R 
+machineFraction(NGamma(5,11))
 --R
---R   (19)  0.36251041565228215
---R                                                            Type: DoubleFloat
+--R         3265203545699083
+--R   (19)  ----------------
+--R         9007199254740992
+--R                                                       Type: Fraction Integer
 --E 23
 
 --S 24 of 36
-NGamma(7,0)
---R 
+machineFraction(NGamma(7,0))
 --R
---R   (20)  720.00000000000011
---R                                                            Type: DoubleFloat
+--R         6333186975989761
+--R   (20)  ----------------
+--R           8796093022208
+--R                                                       Type: Fraction Integer
 --E 24
 
 --S 25 of 36
-NGamma(7,0.1)
---R 
+machineFraction(NGamma(7,0.1))
 --R
---R   (21)  719.99620051670286
---R                                                            Type: DoubleFloat
+--R         6333190201121949
+--R   (21)  ----------------
+--R           8796093022208
+--R                                                       Type: Fraction Integer
 --E 25
 
 --S 26 of 36
-NGamma(7,0.2)
---R 
+machineFraction(NGamma(7,0.2))
 --R
---R   (22)  719.99974844402846
---R                                                            Type: DoubleFloat
+--R         3166593547371515
+--R   (22)  ----------------
+--R           4398046511104
+--R                                                       Type: Fraction Integer
 --E 26
 
 )set functions compile on
